package app;

import domain.*;
import util.*;

public class progr06 {
	public static void main(String args[]) throws Exception {
		List<Time> l = new List<Time>();
		l.add(new Time("12:25"));
		l.add(new Time("08:30"));
		l.add(new Time("06:45"));
		l.add(new Time("18:15"));
		Strategy displayTimes = new HorizontalDisplay<Time>(l);
		displayTimes.execute();
		l.sort();
		displayTimes.execute();
		new VerticalDisplay<Time>(l).execute();
		ListSpecification<Alarm> sl = new SortedList<Alarm>();
		sl.add(new Alarm("djeuner", "12:25"));
		sl.add(new Alarm("caf", "08:30"));
		sl.add(new Alarm("coktail", "15:40"));
		sl.add(new Alarm("rveil", "06:45"));
		sl.add(new Alarm("apritif", "18:15"));
		sl.add(new Alarm("travail", "9:00"));
		new VerticalDisplay<Alarm>(sl).execute();
	}
}
