package domain;

public class Alarm
implements Comparable<Alarm> {
	private String what;
	private Time when;
	public Alarm(String name, String time) throws Exception {
		what = name;
		when = new Time(time);
	}
	public Alarm(String name, int hour, int minute) throws Exception {
		what = name;
		when = new Time(hour, minute);
	}
	public String toString() {
		return what + " @ " + when;
	}
	public int compareTo(Alarm other) {
		return when.compareTo(other.when);
	}
}
