package util;

public class HorizontalDisplay<T extends Comparable<T>>
implements Strategy {
	private ListSpecification<T> list;
	public HorizontalDisplay(ListSpecification<T> l) {
		list = l;
	}
	public void execute() {
		for(T elt : list) System.out.print(" " + elt);
		System.out.println();
	}
}
