package util;

import java.util.Iterator;

public interface ListSpecification<ElementType extends Comparable<ElementType>>
extends Iterable<ElementType> {
	void add(ElementType element);
	void remove(ElementType element);
	void remove(int index);
	int size();
	ElementType get(int index);
	boolean isEmpty();
	boolean contents(ElementType element);
	void iterateFromBeginning(boolean value);
	Iterator<ElementType> iterator();
	Iterator<ElementType> iteratorWhere(Test<ElementType> t);
}
