package util;

public class VerticalDisplay<T extends Comparable<T>>
implements Strategy {
	private ListSpecification<T> list;
	public VerticalDisplay(ListSpecification<T> l) {
		list = l;
	}
	public void execute() {
		for(T elt : list) System.out.println(" " + elt);
		System.out.println();
	}
}
